import 'tabellenfunktion.dart';

class Param {
  int aktuellerWert, startWert, minimalWert, maximalWert;
  List<Tabellenfunktion> funktionen;

  Param(this.startWert, this.maximalWert, this.funktionen,
      {this.minimalWert = 1}) {
    aktuellerWert = startWert;
  }

  Map<String, int> changes() {
    final ret = <String, int>{};
    for (final f in funktionen) {
      ret[f.ordinatenBezeichnung] = f.koordinaten[aktuellerWert];
    }
    return ret;
  }

  void addPoints(int difference) {
    setPoints(aktuellerWert + difference);
  }

  void setPoints(int points) {
    aktuellerWert = points;
  }

  bool isStopped() =>
      aktuellerWert < minimalWert || aktuellerWert > maximalWert;

  void reset() {
    aktuellerWert = startWert;
  }
}
